Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I would like to upgrade from Firefox 1.0.7 to Firefox 2 (or higher).

  • 3 replies
  • 9 have this problem
  • 11 views
  • Last reply by zzz0e

more options

I am on an old Mac PowerPC G3 running OSX 10.1.5 so I can't run the new Firefox 3, 3.5 or 3.6. Is there someplace on your website I can download this upgrade?

All Replies (3)

more options

Firefox 1.5 needs Mac OSX 10.2 or higher.
http://www.mozilla.com/en-US/firefox/releases/1.5.0.1.html

Looks like Firefox 1.0.7 is the newest you can use.

more options

Maybe iCab: http://en.wikipedia.org/wiki/ICab

See http://www.icab.de/dl.php

iCab 3.0.5 (PowerPC) Mac OS X 10.1.5 - 10.5.x (PPC, G3, G4, G5, Intel)

more options

Thank you so very much for your input! I downloaded iCab and I love it! It seems to run a lot smoother than Firefox. Thank you!